Bug 1709244 (CVE-2019-11494)

Summary: CVE-2019-11494 dovecot: premature disconnection from client during AUTH command leads to crash and possible DoS
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anon.amish, bennie.joubert, bojan, janfrode, mailinglists, mhlavink
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:55:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1709245    
Bug Blocks:    

Description Marian Rehak 2019-05-13 09:10:40 UTC
In the IMAP Server in Dovecot 2.3.3 through 2.3.5.2, the submission-login service crashes when the client disconnects prematurely during the AUTH command.

Upstream Bug:

https://dovecot.org/list/dovecot-news/2019-April/000409.html

Comment 1 Marian Rehak 2019-05-13 09:10:54 UTC
Created dovecot tracking bugs for this issue:

Affects: fedora-all [bug 1709245]

Comment 2 Bojan Smojver 2019-05-31 00:53:02 UTC
No builds for F30 to fix this. I asked several times in bug #1672622, but no action has been taken there.